---
# handlers file for roles/ae-dir

- name: "restart apparmor"
  listen:
    - "restart apparmor"
  service:
    name: "apparmor"
    state: restarted
  when: apparmor_enabled == True

- name: "restart ae-slapd"
  listen:
    - "restart ae-slapd"
  service:
    name: "ae-slapd"
    state: restarted

- name: "restart ae-dir-pwd"
  listen:
    - "restart ae-dir-pwd"
  service:
    name: "ae-dir-pwd"
    state: restarted
  when: openldap_role == 'provider'

- name: "restart hotp_validator"
  listen:
    - "restart hotp_validator"
  service:
    name: hotp_validator
    state: restarted
  when:
    - openldap_role == 'provider'
    - oath_ldap_enabled == True

- name: "restart oathenroll"
  listen:
    - "restart oathenroll"
  service:
    name: "oathenroll"
    state: restarted
  when:
    - openldap_role == 'provider'
    - oath_ldap_enabled == True

- name: "restart bind_proxy"
  listen:
    - "restart bind_proxy"
  service:
    name: "bind_proxy"
    state: restarted
  when:
    - openldap_role == 'consumer'
    - oath_ldap_enabled == True

- name: "restart ae-apache"
  listen:
    - "restart ae-apache"
  service:
    name: "ae-apache"
    state: restarted
  when: openldap_role == 'provider'

- name: "restart web2ldap"
  listen:
    - "restart web2ldap"
  service:
    name: "web2ldap"
    state: restarted
  when: openldap_role == 'provider'

- name: "restart pwsync"
  listen:
    - "restart pwsync"
  service:
    name: "pwsync"
    state: restarted
  when:
    - openldap_role == 'provider'
    - aedir_pwsync_targeturl is defined
